package com.malk.pake;

import cn.hutool.core.io.FileUtil;
import com.alibaba.fastjson.JSONObject;
import com.malk.pake.service.PkDingProcService;
import com.malk.server.aliwork.YDConf;
import com.malk.server.aliwork.YDParam;
import com.malk.server.dingtalk.DDR_New;
import com.malk.service.aliwork.YDClient;
import com.malk.service.dingtalk.DDClient;
import com.malk.service.dingtalk.DDClient_Alibtrip;
import com.malk.service.dingtalk.DDClient_Workflow;
import com.malk.utils.UtilMap;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.File;
import java.util.*;

@Slf4j
@SpringBootTest
@RunWith(SpringRunner.class)
public class DingTest {

    @Autowired
    private DDClient ddClient;
    @Autowired
    private DDClient_Workflow ddClient_workflow;
    @Autowired
    private PkDingProcService pkDingProcService;
    @Autowired
    private YDClient ydClient;

    @Autowired
    private DDClient_Alibtrip ddClient_alibtrip;

    @Test
    public void tes2t(){
        String result=ddClient_alibtrip.addProject(ddClient.getAccessToken(),"测试项目","PK-YF-2025033");
        System.out.println(result);
    }

    @Test
    public void test(){
        pkDingProcService.syncAmt("Agt9MobvR-ubwYeGd14fmA06821717753263");
//        System.out.println("hello");
    }






    private String code="PROC-27EE84F7-EA7E-460C-B9F4-21D54DFD11AA";

    @Test
    public void syncProject(){
        List<String> list= FileUtil.readUtf8Lines("/home/ids.txt");
        for (int i = 0; i < list.size(); i++) {
            log.info("处理进度：{}/{}",i+1,list.size());
            String[] data=list.get(i).split("###");
            create(data[0],data[1]);
        }
    }

    private void create(String name,String id){
        ddClient_workflow.doProcessInstances(ddClient.getAccessToken(),"17104651870654620",code, Arrays.asList(
                dataName(name),dataId(id)
                ),
                UtilMap.map("dept_id","-1"));
    }

    private Map dataName(String name){
        return UtilMap.map("name, value","项目名称",name);
    }

    private Map dataId(String id){
        return UtilMap.map("name, value","项目编号",id);
    }

}
