package com.malk.mc.controller;


import com.alibaba.fastjson.JSONObject;
import com.malk.server.common.McR;
import com.malk.service.aliwork.YDService;
import com.malk.utils.PublicUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/yd/")
public class McYdController {

    @Autowired
    private YDService ydService;

    @PostMapping("copy")
    public McR copy(@RequestBody JSONObject param){
        if(PublicUtil.isNull(param,"instanceId","formUuid")){
            return McR.errorNullPointer();
        }
        ydService.mirrorFormData(param.getString("instanceId"),param.getString("formUuid"),param.getString("processCode"),
                param.getJSONObject("updateData"),param.getString("updateInstanceId"));
        return McR.success();
    }

}
